summaryrefslogtreecommitdiffstats
path: root/jjb/csit/include-raw-csit-vpp-functional-multilink.sh
diff options
context:
space:
mode:
authorStefan Kobza <skobza@cisco.com>2016-03-04 16:31:03 +0100
committerStefan Kobza <skobza@cisco.com>2016-03-04 21:20:22 +0100
commit1816bb15c77f67b480eaedfe36bf67f8a7d5f1be (patch)
tree0fca6a428e2cef492c6a784b92f3cd0c079cd0de /jjb/csit/include-raw-csit-vpp-functional-multilink.sh
parent8f6fc00fdf89c640decdd86a2f21d0bccd59f1df (diff)
Add new nodepool csit-vpp-functional job.
Make new job in csit project that gets triggered on CSIT changeset. This is an entry-point to integrate CSIT functionality with LF's VM infra. The actual integration is going to happen in CSIT, where we can tune the bootstrap script and then move it into ci-management. Change-Id: Icbfaf0a7b27899af4bea97d80a1883c7dd2df52e Signed-off-by: Stefan Kobza <skobza@cisco.com>
Diffstat (limited to 'jjb/csit/include-raw-csit-vpp-functional-multilink.sh')
-rw-r--r--jjb/csit/include-raw-csit-vpp-functional-multilink.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/jjb/csit/include-raw-csit-vpp-functional-multilink.sh b/jjb/csit/include-raw-csit-vpp-functional-multilink.sh
new file mode 100644
index 000000000..065500f23
--- /dev/null
+++ b/jjb/csit/include-raw-csit-vpp-functional-multilink.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-multilink.sh ]
+then
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-multilink.sh
+ # run the script
+ ./bootstrap-multilink.sh
+else
+ echo 'ERROR: No bootstrap-multilink.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :